
<%@page import="com.liferay.portal.kernel.servlet.ServletContextPool"%>
<%@page import="it.tref.liferay.mapit.constants.WebKeys"%>
<%@page import="javax.portlet.PortletPreferences"%>
<%@page import="it.tref.liferay.mapit.map.util.MapItPluginPortletPreferencesUtil"%>
<%@page import="it.tref.liferay.mapit.plugin.MapItPlugin"%>
<%@page import="it.tref.liferay.mapit.map.util.MapItPluginUtil"%>

<%@include file="/html/map/init.jsp" %>

<%
for (String pluginId : pluginIds) {
	Plugin plugin = PluginLocalServiceUtil.getPlugin(pluginId);
	if (plugin != null && plugin.isActive()) {
  		MapItPlugin mapItPlugin = MapItPluginUtil.getMapItPlugin(plugin.getContext());
  		String jspPage = mapItPlugin.getTopJspPage();
  		
  		if (Validator.isNotNull(mapItPlugin.getPortletConfigurationJsp())) {
  			PortletPreferences preferences = MapItPluginPortletPreferencesUtil.getPortletPreferences(
		    	companyId, plid, themeDisplay.getPortletDisplay().getId(), pluginId);
  			request.setAttribute(WebKeys.PLUGIN_PORTLET_PREFERENCES, preferences);
  		}
%>
		<c:if test="<%= Validator.isNotNull(jspPage) %>">
			<liferay-util:include page='<%=jspPage %>' 
				servletContext="<%=ServletContextPool.get(plugin.getContext()) %>" />
		</c:if>
<% 
	}
}
%>

<liferay-util:include page="/html/map/map.jsp" servletContext="<%=getServletContext()%>" />

<%
for (String pluginId : pluginIds) {
	Plugin plugin = PluginLocalServiceUtil.getPlugin(pluginId);
	if (plugin != null && plugin.isActive()) {
  		MapItPlugin mapItPlugin = MapItPluginUtil.getMapItPlugin(plugin.getContext());
  		String jspPage = mapItPlugin.getBottomJspPage();
  		
  		if (Validator.isNotNull(mapItPlugin.getPortletConfigurationJsp())) {
			PortletPreferences preferences = MapItPluginPortletPreferencesUtil.getPortletPreferences(
		    	companyId, plid, themeDisplay.getPortletDisplay().getId(), pluginId);
			request.setAttribute(WebKeys.PLUGIN_PORTLET_PREFERENCES, preferences);
		}
%>
		<c:if test="<%= Validator.isNotNull(jspPage) %>">
			<liferay-util:include page='<%=jspPage %>' 
				servletContext="<%=ServletContextPool.get(plugin.getContext()) %>" />
		</c:if>
<% 
	}
}
%>